A Case of a Weak Escape

All of my plugins should now be WordPress 2.8 compatible. For the majority of them the only issues involved were based on the use of the WordPress SQL escaping function. Previously I was calling this statically:

wpdb::escape

A bad habit I probably picked up from somewhere back in the WordPress 1.5 days that has stuck around. In WordPress 2.8 this function no longer works statically. The simple fix is to change it into:

$wpdb->escape

I’ve mentioned this here in case it’s useful to anyone else experiencing a PHP error along the lines of:

Call to undefined method _weak_escape()

A preferable change will be to make use of the new SQL prepare functions: Data Validation.

In other plugin news I’ve add a Geo IP locator service to this site, which is now used internally in my plugins for mapping an IP address to a location. Quite a fun excerise, and one less reliance on external services (which have a tendency to change without you noticing).

One thought on “A Case of a Weak Escape”

Leave a Reply

Your email address will not be published. Required fields are marked *